Update organization
curl --request PATCH \
--url https://api.entendre.finance/v1/organization \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Example Company",
"timezone": "UTC",
"time_format": "hr12",
"web_address": "https://example.com",
"logo_url": null
}
'const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Example Company',
timezone: 'UTC',
time_format: 'hr12',
web_address: 'https://example.com',
logo_url: null
})
};
fetch('https://api.entendre.finance/v1/organization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/organization"
payload = {
"name": "Example Company",
"timezone": "UTC",
"time_format": "hr12",
"web_address": "https://example.com",
"logo_url": None
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "org_abc123",
"name": "Example Organization",
"web_address": null,
"timezone": "UTC",
"time_format": "hr12",
"onboarding_status": null,
"created_at": "2026-08-31T12:00:00Z",
"updated_at": null,
"logo_url": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Organization
Update organization
Updates organization profile fields. Changing the timezone also moves the accounting-period boundaries.
PATCH
/
v1
/
organization
Update organization
curl --request PATCH \
--url https://api.entendre.finance/v1/organization \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Example Company",
"timezone": "UTC",
"time_format": "hr12",
"web_address": "https://example.com",
"logo_url": null
}
'const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Example Company',
timezone: 'UTC',
time_format: 'hr12',
web_address: 'https://example.com',
logo_url: null
})
};
fetch('https://api.entendre.finance/v1/organization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/organization"
payload = {
"name": "Example Company",
"timezone": "UTC",
"time_format": "hr12",
"web_address": "https://example.com",
"logo_url": None
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "org_abc123",
"name": "Example Organization",
"web_address": null,
"timezone": "UTC",
"time_format": "hr12",
"onboarding_status": null,
"created_at": "2026-08-31T12:00:00Z",
"updated_at": null,
"logo_url": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Authorizations
Your organization API key. Some operations also need a key that is associated with a user; their pages say so.
Body
application/json
Organization display name.
Maximum string length:
100IANA timezone identifier.
Clock format for display: hr12 or hr24.
Available options:
hr12, hr24 Organization website URL.
Maximum string length:
2048Logo URL. Pass null or an empty string to clear the logo.
Maximum string length:
2048Response
The request succeeded.
Show child attributes
Show child attributes